--- src/storage/storage_util.c	2024-07-01 16:57:44.000000000 +0800
+++ src/storage/storage_util.c	2024-07-30 07:59:40.000000000 +0800
@@ -43,6 +43,10 @@
 # include <selinux/selinux.h>
 #endif
 
+#ifdef __APPLE__
+# include <AvailabilityMacros.h>
+#endif
+
 #include "datatypes.h"
 #include "virerror.h"
 #include "viralloc.h"
@@ -1898,7 +1902,9 @@
 
 #ifdef __APPLE__
     target->timestamps->atime = sb->st_atimespec;
+#if MAC_OS_X_VERSION_MIN_REQUIRED >= 1060
     target->timestamps->btime = sb->st_birthtimespec;
+#endif
     target->timestamps->ctime = sb->st_ctimespec;
     target->timestamps->mtime = sb->st_mtimespec;
 #else /* ! __APPLE__ */
